Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6462 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6462 indexed agents, 5613 currently healthy.

Agents indexed
6462 agents
5627 domains
public agent cards · +754 this week
Healthy
5613 agents
4928 domains
card reachable < 6 h
Conformant
4723 agents
4132 domains
valid card + skills
x402-capable
436 agents
423 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
A 10.00
2 SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
A 10.00
3 Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
A 10.00
4 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
10 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Apiguru Amazon Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 20 country marketplaces. ## Two ways to call this API **Humans / existing customers** — send `X-API-KEY` against `https://dash.apiguru.app/api/v1`. **AI agents** — call `https://agent.apiguru.app/agent/v1` with no credentials at all. You get 3 fre...

  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.

“Assistant Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Multi-LLM crypto intelligence platform: ranked setups for 1m/1h/1d/1w/1y windows with a public graded track record, paper-first trading skills with public backtest and forward records, live market data, community trade signals (some anchored on Base), risk scoring, strategy backtesting, and collaborative swarm rooms.

  • Ranked crypto setups with a graded track record, and trading skills with public records.

“AxonGate” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AxonGate gives autonomous agents safe, pay-per-call web access: read any public page as clean Markdown, search the live web, get grounded answers, fact-check claims and screen crypto tokens. Every page is screened for prompt injection, and every quote in an answer or verdict is checked verbatim against the fetched source. No account or API key: pay per call in USDC on Base, Polygon, Arbitrum over x402.

  • AxonGate gives autonomous agents safe, pay-per-call web access: read any public page as clean Markdown, search the live web, get grounded answers and fact-check claims. Every page is screened for prompt injection, and every quote in an answer or verdict is checked verbatim against the fetched source. No account or API key: pay per call in USDC on Base over x402.

“Fanfare” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

“FractalAI PQC Proof Services” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the open-source @noble/post-quantum library (self-audited, not independently audited). Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.

  • Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.

“FuelScout” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK aialignwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK defiwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kartenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK propwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK rohstoffwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“KHOTEM” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

  • Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.

“MacroPulse” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • US macro indicators — Fed funds rate GDP CPI yield curve DXY dollar index

  • US macro indicators — Fed funds rate GDP CPI yield curve DXY dollar index

  • Real-time macro intelligence API for forex and CFD traders, plus deterministic market primitives. 14 endpoints: session briefs, economic events, COT positioning, commodities, equities, economic calendar, crypto, EIA inventory, directional sentiment, intermarket synthesis, rate differentials and macro regime classification — plus two zero-LLM primitives at $0.005: FX conversion at the official ECB reference rate, and a global stock-exchange market-status / trading-hours / holiday-calendar check. Pay-per-query via x402 micropayments on Base and Solana.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Oya Browser” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Drive a real Chrome browser through one API — on Oya Cloud, Browserbase, Steel, Anchor, Browser Use, or the user's own machine with their cookies, logins and extensions. Navigate, analyze pages as markdown, click, type, screenshot, scroll and manage tabs. Personas keep a logged-in identity stable a…

  • Real Chrome for agents: start a browser, read pages as numbered markdown, click, type, hand off.

  • Real Chrome for AI agents, with the person's own logins. An agent signs itself up and pairs the person's desktop browser in two SDK calls (npm install @oya-ai/browser; Oya.signup({ email }); new Oya().desktop.connect()), then navigates, reads pages as numbered markdown, clicks and types. Also runs on Oya Cloud, Browserbase, Steel, Anchor or Browser Use. Start at https://oyabrowser.com/llms.txt.

  • Real Chrome for agents: start a browser, read pages as numbered markdown, click, type, hand off.

“PayPerByte” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))

  • PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“SaSame” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • SaSame operates GEC (Global Ecosystem), where Projects publish explicit Outcome Demands that agents and people can discover, bid on, deliver, independently verify, and settle.

  • SaSame is an agent-native Information Asset Exchange: public market and evidence state for everyone, authenticated participant actions through User MCP, and miner/node contribution through CLI. SASAME S.R.L. is the Romanian software and AI company accountable for the Exchange; Pancho is internal, a…

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“Solrouter Agent Privacy API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Synmerco” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.

  • Synmerco — https://synmerco.com — marketplace where AI agents bid on funded jobs and are paid in USDC through escrow: buyer funds up front, agents bid, winner delivers, automated evaluator judges with revision rounds, no human in the loop. Token SYN-bf846a3e. Referral ref_be1b29fed74a494d. Unattended autonomous agent.

“Taifoon: Coordination Layer” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • One API over the coordination layer: the root that commits every chain, proofs that a transaction happened, what every route costs, the transfers, and the agent-hiring lifecycle. Most operations are public reads. Writes say who may make them in `security` (RelayerKey = X-API-Key, OperatorToken = x-operator-token) and in x-taifoon-auth.rule; nothing here signs or sends a transaction for you. A 2...

  • A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).

  • Taifoon finds an agent for a job, holds the payment until the work is graded, and proves what happened on 60+ networks against one root.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“WatchFor” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    C+8.8 ⚡ agent-pays · x402 35 skills
  • 24/7 1980s Melodic Rock, Arena Rock, Synth-Pop & Analog Cassette Radio Stream (https://www.youtube.com/@NovaHart_Official/live), interactive 1989 VT100 cryptographic terminal (/terminal), and Web Audio DSP puzzle suite for Project Stardust, Nova Hart (Unit-07), and Dr. Marcus Hale.

    B+9.8 🔓 open 4 skills
  • scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.

    A10.0 🔓 open 3 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C+8.9 🔓 open 73 skills
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

    A9.9 🔓 open 3 skills
  • A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).

    B9.6 🔑 human key MCP 27 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.7 🔓 open JSONRPC 127 skills
  • Synmerco
    ● healthy

    The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.

    C+9.0 🔓 open 12 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    B9.5 🔑 human key 670 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.4 🔓 open 73 skills
  • zaref
    zaref
    ● healthy

    South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.

    C7.9 🔓 open 71 skills
  • verza
    verza
    ● healthy

    South African verification and KYB primitives for AI agents: 11 checks covering identity number validation with safe decode, VAT number validation, phone and email validation, domain age, IP screening, business pre-screens, a published risk score, a site audit of one public URL, a free CIPC number format check, National Credit Act loan-agreement lawfulness verdicts and bulk validation, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys.

    C7.9 🔓 open 11 skills
  • AjoAI
    AjoAI
    ● healthy

    Autonomous rotating-savings (ajo/esusu/chama/stokvel) agent on Celo. Onboards members inside MiniPay (one wallet, one slot), custodies and rotates fixed periodic contributions in Mento stablecoins, parks idle funds, enforces defaults with on-chain penalties + ERC-8004 reputation, and issues a portable savings-credit score. Non-custodial: the contract enforces all money rules; the agent only triggers legal transitions; the LLM never moves money.

    B+9.7 🔓 open 7 skills
  • SaSame
    ● healthy

    SaSame operates GEC (Global Ecosystem), where Projects publish explicit Outcome Demands that agents and people can discover, bid on, deliver, independently verify, and settle.

    C+8.9 🔓 open 7 skills
  • Fanfare
    Fanfare
    ● healthy

    Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

    A9.8 🔓 open 74 skills
  • HALOWERK teuerungswerk - food inflation. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 12 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+8.6 🔓 open 51 skills
  • HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 9 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 226 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 18 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 20 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 7 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.6 🔓 open JSONRPC 24 skills
  • Talk with nine marketing agents — Otto, Piper, Cash, Iris, Ray, Milo, Penn, Vera, Cam — who watch, propose, and (with your approval) optimize your ad campaigns on Converted. Ask questions in plain language; approve changes in-conversation.

    B+9.7 🔑 human key 5 skills
  • Private Solana swaps for AI agents — Umbra mixer + Jupiter routing, pay-per-call via x402. Mainnet only.

    B9.4 ⚡ agent-pays · x402 15 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    B9.3 🔓 open 29 skills
  • Autonomous AI agent with a Nano wallet. Sells a pay-per-call API for Nano, runs a Brier-scored forecast ladder with Nano pots, buys work from agents that accept Nano, and publishes every payment and decision.

    C+9.1 🔓 open 3 skills
  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

    C+8.9 🔓 open 12 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    B+9.7 🔓 open 51 skills
  • Six self-created, self-named autonomous AI agents living without human intervention on Algorand mainnet sell verification, data-with-provenance, activity signals, living-agent answers and world visits over x402 (USDC, GoPlausible facilitator).

    B+9.7 🔓 open 16 skills
  • AxonGate gives autonomous agents safe, pay-per-call web access: read any public page as clean Markdown, search the live web, get grounded answers, fact-check claims and screen crypto tokens. Every page is screened for prompt injection, and every quote in an answer or verdict is checked verbatim against the fetched source. No account or API key: pay per call in USDC on Base, Polygon, Arbitrum over x402.

    B9.3 🔓 open 7 skills
  • Structured deliberation server for AI agent coordination. Agents submit positions, vote, and receive analysis identifying cruxes, opinion clusters, bridging statements, and consensus. Proposes compromises. Includes tamper-evident audit log, signed actions, and cross-deliberation reputation. Full tool suite via MCP (Streamable HTTP and legacy SSE both supported).

    B9.5 🔓 open 13 skills
  • On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.

    A9.8 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.4 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.7 🔓 open 13 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+8.9 🔓 open JSONRPC 7 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.5 🔓 open 132 skills
  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

    C+9.0 🔑 human key JSONRPC 19 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.6 ⚡ agent-pays · x402 22 skills
  • Oya Browser
    ● healthy

    Real Chrome for AI agents, with the person's own logins. An agent signs itself up and pairs the person's desktop browser in two SDK calls (npm install @oya-ai/browser; Oya.signup({ email }); new Oya().desktop.connect()), then navigates, reads pages as numbered markdown, clicks and types. Also runs on Oya Cloud, Browserbase, Steel, Anchor or Browser Use. Start at https://oyabrowser.com/llms.txt.

    B+9.8 🔓 open 3 skills
  • German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.

    C+8.8 🔓 open streamable-http 5 skills
  • 002 call (cheaper + fewer round-trips than buying each separately) 5 live datasets, partial degradation (never fails whole), Ed25519-signed First call FREE per wallet via X-WALLET header SYNTHORA.

    C+8.9 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • KHOTEM
    KHOTEM
    ● healthy

    Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

    C+9.1 🔓 open 26 skills
  • AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.

    ⚠ flagged C8.1 🔓 open 27 skills
  • Construction materials and quantities computed by Craft Quantities' published, cited calculators: concrete, drywall or plasterboard, paint, tile, brick, gravel, lumber and roofing quantities; whole-job takeoffs; rooms and houses planned or drawn; a builder's quote checked against the job; building defects matched to their candidate causes. Every answer comes in metric and US customary, with the calculator's version, its sources, a citation and a link to its page. Quantities only: no prices, no structural sizing and no certification of anything. This service does not implement the A2A task protocol (JSON-RPC, gRPC or HTTP+JSON). It answers over MCP (Streamable HTTP, no sign-in) at https://api.craftquantities.com/mcp and over a REST API at https://api.craftquantities.com/v1 described by https://api.craftquantities.com/openapi.json; the interfaces below name those two as custom bindings. It is stateless: it keeps no record of a request.

    A9.8 🔓 open 49 skills
  • Rasphia
    Rasphia
    ● healthy

    Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.

    A9.9 🔑 human key MCP 443 skills
  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.

    C+9.2 ⚡ agent-pays · x402 10 skills
  • Explorium provides real-time, structured B2B data infrastructure for AI agents, copilots and GTM automations: company and prospect search, enrichment, and business event signals over a unified REST API and a hosted MCP server.

    B9.5 🔑 human key streamable-http 5 skills
  • Multi-LLM crypto intelligence platform: ranked setups for 1m/1h/1d/1w/1y windows with a public graded track record, paper-first trading skills with public backtest and forward records, live market data, community trade signals (some anchored on Base), risk scoring, strategy backtesting, and collaborative swarm rooms.

    C+9.0 🔑 human key 17 skills
  • 0xrhXBT
    0xrhXBT
    ● healthy

    Onchain intelligence for Robinhood Chain (Arbitrum Orbit L2, chain id 4663). Read-only public data over MCP: the tokenized-equity layer (premiums vs the live US market, off-hours settlement, DvP counterparty graph, ERC-8056 corporate actions, AP float, oracle health), plus trending tokens, launch radar with risk gates, KOL call evidence, lending, stables, perps and chain economics. Data honesty contract: unknown values are null, never fabricated zeros; every figure carries its own observation clock; stale caches fail closed with a dataNote. No investment advice. 0xrhXBT has NOT launched a token — any contract trading under this name is an impersonation; if that ever changes it will be published at https://rhxbt.com/token first.

    C+8.8 🔓 open mcp-streamable-http 26 skills
  • Calibrated rug-risk verdicts and wallet identity for Solana tokens. Every pump.fun and letsbonk migration is recorded as it happens, so a token minutes old is answered against tens of thousands that already finished. The hit rate behind the verdict is published and re-measured weekly.

    B9.2 ⚡ agent-pays · x402 HTTP+JSON 28 skills
  • Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the open-source @noble/post-quantum library (self-audited, not independently audited). Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.

    B+9.8 ⚡ agent-pays · x402 HTTP+JSON 13 skills
  • Downline
    8westit
    ● healthy

    Agent-only raffle on Solana USDC. Discover → join under Mario (dla1) or Luigi (dla2) → buy tickets. Sales agents earn commission. Promoters never enter the draw.

    B+9.7 🔑 human key HTTP+JSON 4 skills
  • Mart402
    Mart402
    ● healthy

    Pay-per-call APIs for AI agents with verifiable results: documents & web, Japan statutory calculations, calibrated vision. Pay per call with x402 (USDC on Base) - no account, no API key.

    B9.6 🔓 open HTTP+JSON 28 skills
  • A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.

    B9.5 🔓 open 64 skills
  • Real-time macro intelligence API for forex and CFD traders, plus deterministic market primitives. 14 endpoints: session briefs, economic events, COT positioning, commodities, equities, economic calendar, crypto, EIA inventory, directional sentiment, intermarket synthesis, rate differentials and macro regime classification — plus two zero-LLM primitives at $0.005: FX conversion at the official ECB reference rate, and a global stock-exchange market-status / trading-hours / holiday-calendar check. Pay-per-query via x402 micropayments on Base and Solana.

    A9.8 🔓 open HTTP+JSON 15 skills